#ifndef LIBLOADER_H
#define LIBLOADER_H

#ifndef bool
#define bool char
#define true 1
#define false 0
#endif

#ifdef __cplusplus
extern "C" {
#endif

extern const char delimeter;

extern bool loadLibrary(const char * const );
extern bool loadFunction(const char * const );
extern void unloadLibrary();
extern bool isLoadedLibrary();
extern void treatInput();
/**
 * Return next input string before delimeter
 * @return pointer to C string, if EOF reached, return NULL
 */
extern char * getNextString();
/**
 * Check string for answer on query, if string is "answer", 
 * get answer's id and answer itself
 * @param s string to check
 * @param ans text of answer, if s is "answer" string
 * @param id id of answer, if s is "answer" string
 * @return 1, if s is answer, 0 else
 */
extern int treatAnswer(const char* const s, char ** ans, char **id);

#ifdef __cplusplus
}
#endif

#endif
